#ifndef code__query__match_hxx_
#define code__query__match_hxx_

#include <code/query/types.hxx>

#include <code/query/query.hxx>
#include <code/query/tag.hxx>
#include <code/query/term.hxx>

namespace code::query
{

  using predicate_t = function<
    bool(variant<term_t, tag_t> const&)
  >;

  bool
  match(query_t const& q, predicate_t const& p);

} // namespace code::query

#endif
